Download it now!
Bug 117013 - Table of Illustration doesn't take figures
Summary: Table of Illustration doesn't take figures
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: high normal
Assignee: Nickson Thanda
URL:
Whiteboard: target:6.2.0 target:6.1.0.1
Keywords:
Depends on:
Blocks: DOC-TableofContents
  Show dependency treegraph
 
Reported: 2018-04-14 18:31 UTC by Heiko Tietze
Modified: 2018-07-19 13:05 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Example file (121.09 KB, application/vnd.oasis.opendocument.text)
2018-04-14 18:35 UTC, Heiko Tietze
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2018-04-14 18:31:43 UTC
With the change in bug 58407 we call image captions 'Figure' by default. However, the table of contents offers 'Illustration' and this type ignores figures.

My proposal would be to go with 'Illustration and Figure index'. Alternatively, we could add another entry to this list.

Setting importance to high.
Comment 1 Heiko Tietze 2018-04-14 18:35:41 UTC
Created attachment 141357 [details]
Example file

Two images but empty illustration index.
Comment 2 Yousuf Philips (jay) (retired) 2018-04-15 03:04:18 UTC
(In reply to Heiko Tietze from comment #0)
> My proposal would be to go with 'Illustration and Figure index'.

Is this the new index type or title? Also how would you select both 'Illustration' and 'Figure' entries in the category drop down list, or is that intended to be manually selected by the user?

> Alternatively, we could add another entry to this list.

As suggested in bug 58407 comment 7, we should do this as it would be an easy preset, which is the purpose of the type drop down list. So the new type entry would be labeled 'Table of Figures', and so would the title, and would preselect 'Figure' as the category.
Comment 3 Heiko Tietze 2018-04-15 07:54:26 UTC
(In reply to Yousuf Philips (jay) (retired) from comment #2)
> (In reply to Heiko Tietze from comment #0)
> > My proposal would be to go with 'Illustration and Figure index'.
> 
> Is this the new index type or title? Also how would you select both
> 'Illustration' and 'Figure' entries in the category drop down list, or is
> that intended to be manually selected by the user?

Both illustrations and figures are listed in the same table of content.
Comment 4 Yousuf Philips (jay) (retired) 2018-04-18 17:06:07 UTC
(In reply to Heiko Tietze from comment #3)
> Both illustrations and figures are listed in the same table of content.

And how would this be possible if only one can be selected in the drop down list?
Comment 5 Heiko Tietze 2018-04-19 12:45:58 UTC
(In reply to Yousuf Philips (jay) (retired) from comment #4)
> (In reply to Heiko Tietze from comment #3)
> > Both illustrations and figures are listed in the same table of content.
> 
> And how would this be possible if only one can be selected in the drop down
> list?

The function is called "Illustration and Figures ToC", or any shorter version. The code merges both types into the same ToC.
Comment 6 Thomas Lendo 2018-04-29 21:34:14 UTC
I suggest to rename "Illustration index" to "Table of Figures" (analogous to Table of Contents and Table of Objects and to MSO Word).

It is senseless and useless and confusing for users to have 2 indexes for images. One index for one type of objects.

This single index for images should include the new and old form of default image caption naming.
Comment 7 Heiko Tietze 2018-05-18 15:38:10 UTC
Okay, Jay is right and we need two indexes. Figures run from 1 to n as well as Illustrations. So we cannot merge them into one ToC. Nickson's latest patch changes the index name to Table of Figures, which is kind of a status quo as Illustration has been switched completely now.
Comment 8 Heiko Tietze 2018-06-04 11:34:15 UTC
(In reply to Heiko Tietze from comment #7)
> Okay, Jay is right and we need two indexes. Figures run from 1 to n as well
> as Illustrations. So we cannot merge them into one ToC. Nickson's latest
> patch changes the index name to Table of Figures, which is kind of a status
> quo as Illustration has been switched completely now.

And that's wrong as the dialog provides the checkbox "Category" that allows to choose from all objects.
Comment 9 Nickson Thanda 2018-06-05 08:28:02 UTC
(In reply to Heiko Tietze from comment #8)
> (In reply to Heiko Tietze from comment #7)
> > Okay, Jay is right and we need two indexes. Figures run from 1 to n as well
> > as Illustrations. So we cannot merge them into one ToC. Nickson's latest
> > patch changes the index name to Table of Figures, which is kind of a status
> > quo as Illustration has been switched completely now.
> 
> And that's wrong as the dialog provides the checkbox "Category" that allows
> to choose from all objects.

What is the purpose of category for table? I've noticed you could have a table of type "Index of Tables" which has the default category of "Table" but have the category as "Illustration".

Maybe we should limit what categories can be selected for a table type?
Comment 10 Heiko Tietze 2018-06-05 09:31:27 UTC
(In reply to Nickson Thanda from comment #9)
> (In reply to Heiko Tietze from comment #8)
> > (In reply to Heiko Tietze from comment #7)
> > > Okay, Jay is right and we need two indexes. Figures run from 1 to n as well
> > > as Illustrations. So we cannot merge them into one ToC. Nickson's latest
> > > patch changes the index name to Table of Figures, which is kind of a status
> > > quo as Illustration has been switched completely now.
> > 
> > And that's wrong as the dialog provides the checkbox "Category" that allows
> > to choose from all objects.
> 
> What is the purpose of category for table? I've noticed you could have a
> table of type "Index of Tables" which has the default category of "Table"
> but have the category as "Illustration".
> 
> Maybe we should limit what categories can be selected for a table type?

For example, I'm using an English version but want to create a document in my language. So "Table of Figure" would be wrong, and I use my own caption. When it comes to the ToC it's simply the category selector that provides access to my caption. I wouldn't limit that, and as commented on gerrit your first patch is perfect.
Comment 11 Commit Notification 2018-06-05 13:54:26 UTC
Nickson Thanda committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f8b59486ca61d8e4471fac2bff3441526921dba0

tdf#117013 renamed Illustration Index to Table of Figures

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2018-06-05 17:24:41 UTC
Nickson Thanda committed a patch related to this issue.
It has been pushed to "libreoffice-6-1":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=348fc7698194702ef14ce0701583dc714d04234c&h=libreoffice-6-1

tdf#117013 renamed Illustration Index to Table of Figures

It will be available in 6.1.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.